
## IPTV XML CLEANER
A tool used to remove unnecessary channels and programs from IPTVBoss's exhaustive Electronic program guide. It uses [xmlstarlet](https://xmlstar.sourceforge.net/) to parse through and select relevant info from CANADA and USA, then gathers the data in a new filtered XML which is exposed for the Ministra service by using a combination of [Lighttpd](https://www.lighttpd.net/) and [Nginx Proxy Manager](https://nginxproxymanager.com/).

### USAGE
IPTV XML Cleaner runs automatically on a fixed schedule and exposes resulting XML file.

### PERFORMANCE 
#### Canadian EPG
173 channels and 39067 programmes, down from 739 channels and 129 538 programmes. Time < 10s

#### USA EPG
??? channels and ??? programmes, down from 11 668 channels and 975 691 programmes. Time < 50s